Create or Update RCS Campaign
Create a new RCS campaign or update an existing one.
Before you start: Create a brand first — you'll need its id for the brand field.
All fields are required unless specified otherwise, and will be validated when submitted.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Create an agent for the campaign.
brandstringOptionalUnique identifier for the brand.
campaignIdstringOptionalUnique identifier for the campaign.
expectedAgentResponsesarray<string>OptionalList of what the agent might say to users. See the Expected Agent Responses section for requirements.
Limit: 1 to 5
Legal documentation links.
useCaseDescriptionstringOptionalDetailed summary of what the brand is and how this agent will be used. See the Use Case Behavior section for requirements.
messagingTypeunknownOptionalType of message the agent sends.
OTP: One time passwords or verification codes.
TRANSACTIONAL: Account updates, alerts, or notifications.
PROMOTIONAL: Marketing, sales, or offers.
MULTI_USE: Mixed message types.
"OTP""TRANSACTIONAL""PROMOTIONAL""MULTI_USE"ctaMediastringOptionalURL to the opt-in form or a URL to a screenshot of the opt-in CTA.
optInMethodstringOptionalDetails on how opt-in is acquired. If it is done through a website or app, provide the link. See the Opt-In Method section for requirements.
ctaLanguagestringOptionalRequired text that appears next to the opt-in checkbox for your opt-in form. This checkbox has to be unchecked by default. See the CTA Language section for requirements.
demoTriggerstringOptionalInstructions on how an external reviewer can trigger messages and an example flow from the agent. This is usually an inbound text message to the agent that will start a flow of messages between the agent and the user. See the Demo Trigger section for requirements.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json